Package org.eclipse.net4j.util.collection

## Interface IHistory<T>

- All Superinterfaces:
    `INotifier`, `java.lang.Iterable<IHistoryElement<T>>`
  All Known Implementing Classes:
    `History`, `PreferenceHistory`

      public interface IHistory<T>
      extends INotifier, java.lang.Iterable<IHistoryElement<T>>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(T data)` |
    `boolean` | `clear()` |
    `IHistoryElement<T>` | `get​(int index)` |
    `<D> D[]` | `getData​(D[] a)` |
    `T` | `getMostRecent()` |
    `int` | `indexOf​(T data)` |
    `boolean` | `isEmpty()` |
    `IHistoryElement<T>` | `remove​(int index)` |
    `int` | `size()` |
    `IHistoryElement<T>[]` | `toArray()` |

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

    - #### size

          int size()

    - #### clear

          boolean clear()

    - #### indexOf

          int indexOf​(T data)

    - #### add

          boolean add​(T data)

    - #### remove

          IHistoryElement<T> remove​(int index)

    - #### get

          IHistoryElement<T> get​(int index)

    - #### getMostRecent

          T getMostRecent()

    - #### getData

          <D> D[] getData​(D[] a)

    - #### toArray

          IHistoryElement<T>[] toArray()